Package io.dapr.v1

# Interface DaprProtos.ExecuteStateTransactionRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.ExecuteStateTransactionRequest`, `DaprProtos.ExecuteStateTransactionRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.ExecuteStateTransactionRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata used for transactional operations.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata used for transactional operations.
`Map<String,String>`
`getMetadataMap()`
The metadata used for transactional operations.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata used for transactional operations.
`String`
`getMetadataOrThrow(String key)`
The metadata used for transactional operations.
`DaprProtos.TransactionalStateOperation`
`getOperations(int index)`
Required.
`int`
`getOperationsCount()`
Required.
`List<DaprProtos.TransactionalStateOperation>`
`getOperationsList()`
Required.
`DaprProtos.TransactionalStateOperationOrBuilder`
`getOperationsOrBuilder(int index)`
Required.
`List<? extends DaprProtos.TransactionalStateOperationOrBuilder>`
`getOperationsOrBuilderList()`
Required.
`String`
`getStoreName()`
Required.
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
Required.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStoreName

String getStoreName()

     Required. name of state store.

`string storeName = 1;`

Returns:
  The storeName.

### getStoreNameBytes

com.google.protobuf.ByteString getStoreNameBytes()

     Required. name of state store.

`string storeName = 1;`

Returns:
  The bytes for storeName.

### getOperationsList

List<DaprProtos.TransactionalStateOperation> getOperationsList()

     Required. transactional operation list.

`repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

### getOperations

DaprProtos.TransactionalStateOperation getOperations(int index)

     Required. transactional operation list.

`repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

### getOperationsCount

int getOperationsCount()

     Required. transactional operation list.

`repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

### getOperationsOrBuilderList

List<? extends DaprProtos.TransactionalStateOperationOrBuilder> getOperationsOrBuilderList()

     Required. transactional operation list.

`repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

### getOperationsOrBuilder

DaprProtos.TransactionalStateOperationOrBuilder getOperationsOrBuilder(int index)

     Required. transactional operation list.

`repeated .dapr.proto.runtime.v1.TransactionalStateOperation operations = 2;`

### getMetadataCount

int getMetadataCount()

     The metadata used for transactional operations.

`map<string, string> metadata = 3;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata used for transactional operations.

`map<string, string> metadata = 3;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata used for transactional operations.

`map<string, string> metadata = 3;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata used for transactional operations.

`map<string, string> metadata = 3;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata used for transactional operations.

`map<string, string> metadata = 3;`